## tk8.4 8.4.19

=== debian/changelog ===
tk8.4 (8.4.19-5ubuntu1) raring; urgency=low

  * Respect DEB_HOST_GNU_TYPE when selecting CC for cross-compiling.
  * Preseed undetectable strtod values to autoconf for cross-builds.

 -- Adam Conrad <adconrad@ubuntu.com>  Sat, 08 Dec 2012 00:16:18 -0700

tk8.4 (8.4.19-5) unstable; urgency=low

  * Moved /usr/share/tcltk/tk8.4/tkConfig.sh back to the /usr/lib/tk8.4
    directory because it is architecture dependent.
  * Fixed options(3tk) manpage (closes: #649128).
  * Removed Chris Waters wrom the uploaders list (closes: #664116).
  * Added ${misc:Depends} substitution variable to debian/control because the
    package uses debhelper.
  * Switched to 3.0 (quilt) source package format.
  * Bumped debhelper compatibility version to 8.
  * Added hardening build flags using dpkg-buildflags (closes: #658017).
  * Bumped standards version to 3.9.3.

 -- Sergei Golovan <sgolovan@debian.org>  Tue, 29 May 2012 19:34:11 +0400

tk8.4 (8.4.19-4) unstable; urgency=low

  * Removed Anselm Lingnau from uploaders list (closes: #540858).
  * Protected quilt calls in debian/rules to make conversion to source
    format 3.0 (quilt) possible (closes: #484920).
  * Added README.source which describes how to work with quilt.
  * Use SourceForge redirector in debian/watch uscan control file.
  * Bumped standards version to 3.8.3.

 -- Sergei Golovan <sgolovan@debian.org>  Sat, 05 Sep 2009 12:12:26 +0400

tk8.4 (8.4.19-3) unstable; urgency=low

  * Don't remove wish alternative in case of package upgrade because the
    manually installed alternative is also removed which isn't desirable.

 -- Sergei Golovan <sgolovan@debian.org>  Sun, 01 Mar 2009 10:37:55 +0300

tk8.4 (8.4.19-2) unstable; urgency=low

  * Fixed clean target to work with debhelper 7.0 (made dh_clean the last
    command, so debhelper logs are removed now).
  * Added a patch by upstream to mitigate a design bug in Tk event system
    (Tk events break if built with x11proto-core 7.0.13).
  * Removed obsolete package x-dev from build dependencies. This means tk8.4
    will not built on sarge anymore.
  * Bumped standards version to 3.8.0.

 -- Sergei Golovan <sgolovan@debian.org>  Tue, 15 Jul 2008 20:36:28 +0400

tk8.4 (8.4.19-1) unstable; urgency=low

  * New upstream release.

 -- Sergei Golovan <sgolovan@debian.org>  Sat, 19 Apr 2008 18:13:39 +0400

tk8.4 (8.4.18-2) unstable; urgency=low

  * Quoted CFLAGS in debian/rules when passing to the shell, not when
    assigning to a make variable; otherwise the quotes end up as part of
    the variable and many things go wrong, leading to a build failure
    (closes: #476044).
  * Explicitly specified configure options --host and --build to make build
    results more predictable.

 -- Sergei Golovan <sgolovan@debian.org>  Mon, 14 Apr 2008 23:09:29 +0400

tk8.4 (8.4.18-1) unstable; urgency=low

  * New upstream release.
  * Overridden lintian warning package-name-doesnt-match-sonames since tk8.4
    package contains not only a library, and it's unreasonable to split it
    into smaller parts

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 08 Feb 2008 22:09:13 +0300

tk8.4 (8.4.17-2) unstable; urgency=high

  * Applied patch by upstream to fix security vulnerability CVE-2006-4484
    overflow triggered by crafted GIF file.

 -- Sergei Golovan <sgolovan@debian.org>  Mon, 04 Feb 2008 23:22:14 +0300

tk8.4 (8.4.17-1) unstable; urgency=low

  * New upstream release.
  * Bumped standards version to 3.7.3.

 -- Sergei Golovan <sgolovan@debian.org>  Thu, 03 Jan 2008 02:43:15 +0300

tk8.4 (8.4.16-2) unstable; urgency=low

  * Removed TK_INC_DIR from tkConfig.sh and tcl.m4.
  * Added -fno-unit-at-a-time option to match tcl8.4 build options.
  * Moved architecture independent files from /usr/lib/tk8.4 to
    /usr/share/tcltk/tk8.4. To keep backward compatibility tkConfig.sh is
    linked into /usr/lib/tk8.4 directory.
  * Fixed bug with update-alternatives in prerm script.
  * Removed conflicts with tcl and providing tcl-dev packages from
    debian/control to prepare binary packages for default tcl and tcl-dev.
  * Added Homepage field to debian/control.
  * Fixed segfault in case if only scalable fonts are available and the best
    scored font is infeasible (closes: #444546).
  * Rearranged conflicts of tk8.4-doc package because of planned adoption of
    real tk-doc package.

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 19 Oct 2007 16:08:07 +0400

tk8.4 (8.4.16-1) unstable; urgency=low

  * New upstream version.
  * Cleaned up patches in debian/patches.
  * Added patch by Massimo Dal Zotto with workaround for scalable fonts
    treated as fixed.
  * Added /usr/lib/tcl8.4 to a search path for tclConfig.sh and /usr/lib/tk8.4
    to a search path for tkConfig.sh in tcl.m4.
  * Removed 10 years old patch which increases PIL (Python imaging library)
    bitmaps loading performance.
  * Added uscan control file debian/watch.
  * Bumped debhelper compatibility to 5.

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 28 Sep 2007 21:00:56 +0400

tk8.4 (8.4.15-2) unstable; urgency=low

  * Added Sergei Golovan to uploaders list.
  * Removed tk-dev from packages, conflicting with tk8.4-dev. It allows to
    install tk8.4-dev aside with tk8.3-dev (they aren't conflicting by files).
  * Removed --enable-64bit configure option from debian/rules.
  * Replaced deprecated ${Source-Version} substitution variable by
    ${binary:Version}.
  * Moved menu item from obsolete Apps to Applications section.

 -- Sergei Golovan <sgolovan@debian.org>  Sat, 15 Sep 2007 10:34:19 +0400

tk8.4 (8.4.15-1) unstable; urgency=low

  * New maintainer Tcl/Tk Debian Packagers
    <pkg-tcltk-devel@lists.alioth.debian.org>.
  
  [ Sergei Golovan ]
  * New upstream release.
  * Removed obsolete package xlibs-dev and replaced x-dev by x11proto-core-dev |
    x-dev in build dependencies (closes: #390783).
  * Use quilt for patch management.
  * Fixed sections inside manual pages.
  * Added get-orig-source target to debian/rules.

