=== debian/control ===
Source: tk8.4
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Tcl/Tk Packagers <pkg-tcltk-devel@lists.alioth.debian.org>
Uploaders: Sergei Golovan <sgolovan@debian.org>
Build-Depends: debhelper (>= 8.0.0), dpkg-dev (>= 1.16.1~), x11proto-core-dev, libx11-dev, libxt-dev, tcl8.4-dev (>= 8.4.2)
Standards-Version: 3.9.3
Homepage: http://www.tcl.tk/

Package: tk8.4
Section: libs
Priority: optional
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: xterm | x-terminal-emulator
Conflicts: tk40 (<= 4.0p3-2), libtk-img (<< 1.2.5)
Provides: wish
Description: Tk toolkit for Tcl and X11, v8.4 - run-time files
 Tk is a cross-platform graphical toolkit which provides the Motif
 look-and-feel and is implemented using the Tcl scripting language.
 This package contains everything you need to run Tk (wish) scripts
 and Tk-enabled apps.

Package: tk8.4-dev
Section: devel
Priority: optional
Architecture: any
Depends: x11proto-core-dev, libx11-dev, libxt-dev, tcl8.4-dev (>= 8.4.2), tk8.4 (= ${binary:Version}), ${misc:Depends}
Suggests: tk8.4-doc
Description: Tk toolkit for Tcl and X11, v8.4 - development files
 Tk is a cross-platform graphical toolkit which provides the Motif
 look-and-feel and is implemented using the Tcl scripting language.
 This package contains the headers and libraries needed to extend
 or embed Tk.

Package: tk8.4-doc
Section: doc
Priority: optional
Architecture: all
Depends: ${misc:Depends}
Suggests: tk8.4
Conflicts: tkdoc, tk8.3-doc
Provides: tkdoc
Description: Tk toolkit for Tcl and X11, v8.4 - manual pages
 Tk is a cross-platform graphical toolkit which provides the Motif
 look-and-feel and is implemented using the Tcl scripting language.
 This package contains the manual pages for the Tk commands.
