=== debian/changelog ===
tk8.4 (8.4.20-8) unstable; urgency=low

  * Replaced calling ldconfig in postinst/postrm scripts by a trigger
    (closes: #811117).

 -- Sergei Golovan <sgolovan@debian.org>  Sat, 16 Jan 2016 12:49:59 +0300

tk8.4 (8.4.20-7) unstable; urgency=low

  * Upload into unstable.

 -- Sergei Golovan <sgolovan@debian.org>  Sat, 08 Mar 2014 10:04:40 +0400

tk8.4 (8.4.20-6) experimental; urgency=low

  * Restored tk8.4.prerm script which removes alternative for
    /usr/bin/wish8.4.
  * Bumped standards version to 3.9.5.

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 10 Jan 2014 13:14:25 +0400

tk8.4 (8.4.20-5) experimental; urgency=low

  * Renamed the development package back to tk8.4-dev after a discussion
    on debian-devel mailing list.
  * Make tk8.4-doc replace tck8.4 because of moving the
    /usr/share/tcltk/tk8.4/demos link.

 -- Sergei Golovan <sgolovan@debian.org>  Wed, 25 Sep 2013 21:05:32 +0400

tk8.4 (8.4.20-4) experimental; urgency=low

  * Make libtk8.4-dev depend on tk8.4 for better backward compatibility.

 -- Sergei Golovan <sgolovan@debian.org>  Mon, 19 Aug 2013 21:23:56 +0400

tk8.4 (8.4.20-3) experimental; urgency=low

  * Renamed tk8.4-lib and tk8.4-dev packages to libtk8.4 and libtk8.4-dev
    because it's more common package naming practice.
  * Added conflict with older tk8.4 to the tk8.4-doc package (a link to
    Tk demos was moved from one package to the other).

 -- Sergei Golovan <sgolovan@debian.org>  Wed, 31 Jul 2013 11:41:04 +0400

tk8.4 (8.4.20-2) experimental; urgency=low

  * Bumped debhelper compatibility version to 9.
  * Added multi-arch support. This includes splitting out the tk8.4-lib
    library package with libtk8.4.so and tkConfig.sh moved into a
    multi-archified location.
  * Recreated /usr/lib/tk8.4/tkConfig.sh for backward compatibility (intend
    to remove in the future).
  * Removed .0 suffix from the libtk8.4.so library in order to remove
    unnecessary diversions from the upstream practice, provided the symlink
    for backward compatibility (intend to remove in the future).
  * Switched to calculating dependency on tk8.4-lib via a symbols table.
  * Don't use the alternatives mechanism for selecting /usr/bin/wish. This
    package ships only /usr/bin/wish8.4. The tcltk-defaults package provides
    the necessary symlink. This also means that tk8.4 does no longer provide
    the wish virtual package.
  * Moved the old changelog to the tk8.4-doc package to reduce size of the
    tk8.4 one.
  * Moved the Tk demos to the tk8.4-doc package.
  * Fixed clean target in debian/rules.

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 12 Jul 2013 22:25:55 +0400

tk8.4 (8.4.20-1) unstable; urgency=low

  * New upstream release.
  * Refreshed patches.
  * Removed patch which fixes Tk events because it's included into upstream
    tarball already.
  * Pass CC to compiler and set ac_cv variables, to allow cross builds.
  * Bumped standards version to 3.9.4.

 -- Sergei Golovan <sgolovan@debian.org>  Mon, 24 Jun 2013 21:20:12 +0400
